Bug 69131 - ssh-add-gnome should be an unmanaged window
Summary: ssh-add-gnome should be an unmanaged window
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh   
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks: 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2002-07-18 03:09 UTC by Preston Brown
Modified: 2007-03-27 03:54 UTC (History)
1 user (show)

Fixed In Version: openssh-3.9p1-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-08 15:39:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Preston Brown 2002-07-18 03:09:12 UTC
ssh-add-gnome, while it grabs the keyboard, often gets overlayed by other
windows if it is initiated as part of a session startup.  This leads to confusion.

The window should always stay on top.

Comment 1 Havoc Pennington 2002-07-29 16:23:57 UTC
Marking the head of the priority queue with priority high

Comment 2 Brent Fox 2002-09-12 19:35:30 UTC
I don't see this with Psyche.  The window stays on top as it should.  I remember
seeing in earlier builds, but it appears to be fixed now.  Please reopen if you
are still seeing this on your machine.

Comment 3 Preston Brown 2002-10-02 15:09:09 UTC
no, it isn't fixed.  It is still easily possible to make the ssh-askpass window
disappear beneath another window.

Comment 4 Havoc Pennington 2003-01-12 22:39:48 UTC
There's a _NET_WM_STATE_ABOVE now that could be used.

Comment 5 Havoc Pennington 2004-05-26 18:35:58 UTC
Using GTK 2.4 this is now pretty easy; change the window to 
gtk_window_new (GTK_WINDOW_TOPLEVEL) (rather than GTK_WINDOW_POPUP), 
then call gtk_window_set_keep_above() to get it on top.


Comment 6 Tomas Mraz 2005-02-07 11:44:47 UTC
Is it possible to call gtk_window_set_keep_above() on window created by
gtk_message_dialog_new?


Comment 7 Havoc Pennington 2005-02-08 04:35:58 UTC
That should work, yep.



Note You need to log in before you can comment on or make changes to this bug.